commit 4c3bae3ba5f1add35761b003dc8de3a13bbca3be
Author: Stavros Sachtouris <saxtouri@admin.grnet.gr>
Date:   Thu Apr 18 14:34:41 2013 +0300

    Upgrade package metadata
    
    - Copyright date
    - Upgrade notes and suggestions
    - Refer to synnefo.org in README
    - classifiers in setup

diff --git a/COPYRIGHT b/COPYRIGHT
index aa12569..56062d7 100644
--- a/COPYRIGHT
+++ b/COPYRIGHT
@@ -1,4 +1,4 @@
-Copyright 2011-2012 GRNET S.A. All rights reserved.
+Copyright 2011-2013 GRNET S.A. All rights reserved.
 
 Redistribution and use in source and binary forms, with or
 without modification, are permitted provided that the following
diff --git a/README.Upgrade b/README.Upgrade
new file mode 100644
index 0000000..dc4ba56
--- /dev/null
+++ b/README.Upgrade
@@ -0,0 +1,38 @@
+This document describes changes and steps to upgrade from kamaki 0.7.X to kamaki 0.8
+
+This document refers to users who:
+- use the kamaki command line
+- load configuration options with the kamaki.cli.config
+
+Notable changes:
+- Make progress (>= 1.1) module a requirement (was a suggestion)
+- Rename some command groups:
+    store --> file
+    astakos --> user
+- Rename some mandatory configuration options:
+    astakos.url --> user.url,
+    store.url --> file.url
+- Do not require <cmd group>.cli (cli specification) field in configuration file, use it only to override default values.
+- Change the naming convention for cli specifications by loosing the _cli suffix:
+    <cmd group>_cli --> <cmd group>
+- Seperate kamaki image commands based on whether they make requests to Plankton or Cyclades.
+    Plankton image commands: kamaki image <action>
+    Cyclades image commands: kamaki image compute <action>
+- Rename: kamaki image public --> kamaki image list
+- Change letter case for recursive download runtime argument:
+    kamaki store download -r <container>:<path> [local destination]
+    -->
+    kamaki file download -R <container>:<path> [local destination]
+
+
+Suggested upgrade method:
+1. Backup the .kamakirc file (usually stored as ~/.kamakirc). E.g.:
+    cp ~/.kamakirc ~/tmp/.kamakirc.bu
+2. Upgrade kamaki (refer to your installation method). E.g. if installed from pypi:
+    pip install --upgrade kamaki
+3. Download the script bellow:
+    For Linux, OS X, *nix, systems that run bash:
+        https://code.grnet.gr/attachments/download/2493/kamaki0.7to0.8.sh
+    For windows:
+        https://code.grnet.gr/attachments/download/2497/kamaki0.7to0.8.bat
+and run it from command line. This script will modify the default .kamakirc file in order to comply with version 0.8
diff --git a/README.rst b/README.rst
index 4510f30..2d0aeea 100644
--- a/README.rst
+++ b/README.rst
@@ -3,5 +3,5 @@ README
 
 ./kamaki is a simple, yet intuitive, command-line tool/interactive shell for managing clouds.
 
-It is an initial implementation of the OpenStack Compute API, v1.1, with custom
-extensions specific to the Synnefo IaaS cloud management software.
+It is an initial implementation of the OpenStack Compute API v1.1, with custom
+extensions specific to the Synnefo IaaS (www.synnefo.org) cloud management software.
diff --git a/setup.py b/setup.py
index 793db6e..87a9c32 100755
--- a/setup.py
+++ b/setup.py
@@ -50,9 +50,10 @@ if version_info < (2, 7):
 setup(
     name='kamaki',
     version=kamaki.__version__,
-    description='A command-line tool for managing clouds',
+    description='A command-line tool for managing www.synnefo.org clouds',
     long_description=open('README.rst').read(),
     url='http://code.grnet.gr/projects/kamaki',
+    download_url='https://code.grnet.gr/projects/kamaki/files',
     license='BSD',
     author='Synnefo development team',
     author_email='synnefo-devel@googlegroups.com',
@@ -72,6 +73,19 @@ setup(
         'kamaki.clients.compute',
         'kamaki.clients.cyclades',
     ],
+    classifiers=[
+        'Operating System :: OS Independent',
+        'Programming Language :: Python :: 2.6',
+        'Programming Language :: Python :: 2.7',
+        'Intended Audience :: Developers',
+        'Intended Audience :: System Administrators',
+        'Environment :: Console',
+        'License :: OSI Approved :: BSD License',
+        'Natural Language :: English',
+        'Topic :: System :: Shells',
+        'Topic :: Software Development :: Libraries :: Python Modules',
+        'Topic :: Utilities'
+        ],
     include_package_data=True,
     entry_points={
         'console_scripts': ['kamaki = kamaki.cli:main']
